Debian Bug report logs - #638018
please add multi-arch support like in libselinux

version graph

Package: libsepol; Maintainer for libsepol is Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>;

Reported by: Riku Voipio <riku.voipio@iki.fi>

Date: Tue, 16 Aug 2011 15:09:01 UTC

Severity: wishlist

Tags: patch

Found in versions 2.0.42-1, libsepol/2.1.0-1.1

Fixed in version libsepol/2.1.0-1.2

Done: Riku Voipio <riku.voipio@linaro.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Manoj Srivastava <srivasta@debian.org>:
Bug#638018; Package libsepol. (Tue, 16 Aug 2011 15:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Riku Voipio <riku.voipio@iki.fi>:
New Bug report received and forwarded. Copy sent to Manoj Srivastava <srivasta@debian.org>. (Tue, 16 Aug 2011 15:09:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@iki.fi>
To: submit@bugs.debian.org
Subject: please add multi-arch support like in libselinux
Date: Tue, 16 Aug 2011 18:07:01 +0300
[Message part 1 (text/plain, inline)]
Package: libsepol
Version: 2.0.42-1
Severity: wishlist
User: debian-dpkg@lists.debian.org
Usertags: multiarch
Tags: patch

Hi,

Libselinux was already updated to multi-arch. This patch is almost identical,
except for libsepol. In case you don't have time, I can also NMU it and take
care of any possible fallout. Hence the optimistic "NMU with maintainer approval"
changelog entry ;)

Riku
[libsepol-multiarch.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Russell Coker <russell@coker.com.au>:
Bug#638018; Package libsepol. (Wed, 31 Aug 2011 07:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Riku Voipio <riku.voipio@iki.fi>:
Extra info received and forwarded to list. Copy sent to Russell Coker <russell@coker.com.au>. (Wed, 31 Aug 2011 07:54:03 GMT) Full text and rfc822 format available.

Message #10 received at 638018@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@iki.fi>
To: 638018@bugs.debian.org
Subject: re: please add multi-arch support like in libselinux
Date: Wed, 31 Aug 2011 10:51:18 +0300
Hi Russell,

Any news on this patch?

Riku




Information forwarded to debian-bugs-dist@lists.debian.org, Russell Coker <russell@coker.com.au>:
Bug#638018; Package libsepol. (Thu, 13 Oct 2011 20:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kyle Moffett <Kyle.D.Moffett@boeing.com>:
Extra info received and forwarded to list. Copy sent to Russell Coker <russell@coker.com.au>. (Thu, 13 Oct 2011 20:21:07 GMT) Full text and rfc822 format available.

Message #15 received at 638018@bugs.debian.org (full text, mbox):

From: Kyle Moffett <Kyle.D.Moffett@boeing.com>
To: Debian Bug Tracking System <638018@bugs.debian.org>
Subject: libsepol: Packaging cleanup (including Multi-Arch support)
Date: Thu, 13 Oct 2011 16:06:09 -0400
[Message part 1 (text/plain, inline)]
Source: libsepol
Version: 2.1.0-1.1
Followup-For: Bug #638018

Hello,

I have attached a patch which does some relatively major rework of the
libsepol packaging.  I'm not sure if that's something that you are
interested in, but it has some very tangible benefits.

The patch converts the package to the "quilt" source format (3.0), and
completely rewrites the rules file to use debhelper.

I've build-tested and run "lintian" and "debdiff" and I haven't found
any issues, but I would like some wider review.

It has a huge net reduction in code size:
  26 files changed, 91 insertions(+), 2055 deletions(-)

Additionally, it reduces the build time from 72 seconds to 38 seconds.

Finally, a few incidental features are added along the way:
  * Update to the latest Debian-Standards-Version
  * Don't even try to build on non-Linux architectures
  * Adds Multi-Arch support.
  * Automatic support for dpkg-buildflags, including hardening flags.

I'm very interested in your comments, concerns, and critiques.

Cheers,
Kyle Moffett

--
Curious about my work on the Debian powerpcspe port?
I'm keeping a blog here: http://pureperl.blogspot.com/
[libsepol-packaging-rewrite.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Russell Coker <russell@coker.com.au>:
Bug#638018; Package libsepol. (Fri, 09 Dec 2011 16:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Riku Voipio <riku.voipio@iki.fi>:
Extra info received and forwarded to list. Copy sent to Russell Coker <russell@coker.com.au>. (Fri, 09 Dec 2011 16:21:03 GMT) Full text and rfc822 format available.

Message #20 received at 638018@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@iki.fi>
To: Russell Coker <russell@coker.com.au>
Cc: Kyle.D.Moffett@boeing.com, 638018@bugs.debian.org
Subject: please add multi-arch support like in libsepol
Date: Fri, 9 Dec 2011 18:18:39 +0200
Hi Russell,

4 months of no comments from you to the bug, so I went ahead and
uploaded my patch to delayed/4 days. 

Once you get time to work on your packages again, please consider
using Kyles patch. If Manoj is no longer working on the packages,
it makes a lot of sense to start doing the packages in more standardized
packaging manner.

Riku





Reply sent to Riku Voipio <riku.voipio@linaro.org>:
You have taken responsibility. (Fri, 16 Dec 2011 16:21:08 GMT) Full text and rfc822 format available.

Notification sent to Riku Voipio <riku.voipio@iki.fi>:
Bug acknowledged by developer. (Fri, 16 Dec 2011 16:21:08 GMT) Full text and rfc822 format available.

Message #25 received at 638018-close@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@linaro.org>
To: 638018-close@bugs.debian.org
Subject: Bug#638018: fixed in libsepol 2.1.0-1.2
Date: Fri, 16 Dec 2011 16:18:23 +0000
Source: libsepol
Source-Version: 2.1.0-1.2

We believe that the bug you reported is fixed in the latest version of
libsepol, which is due to be installed in the Debian FTP archive:

libsepol1-dev_2.1.0-1.2_amd64.deb
  to main/libs/libsepol/libsepol1-dev_2.1.0-1.2_amd64.deb
libsepol1_2.1.0-1.2_amd64.deb
  to main/libs/libsepol/libsepol1_2.1.0-1.2_amd64.deb
libsepol_2.1.0-1.2.dsc
  to main/libs/libsepol/libsepol_2.1.0-1.2.dsc
libsepol_2.1.0-1.2.tar.gz
  to main/libs/libsepol/libsepol_2.1.0-1.2.tar.gz
sepol-utils_2.1.0-1.2_amd64.deb
  to main/libs/libsepol/sepol-utils_2.1.0-1.2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 638018@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Riku Voipio <riku.voipio@linaro.org> (supplier of updated libsepol package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 16 Dec 2011 17:43:47 +0200
Source: libsepol
Binary: sepol-utils libsepol1 libsepol1-dev
Architecture: source amd64
Version: 2.1.0-1.2
Distribution: unstable
Urgency: low
Maintainer: Russell Coker <russell@coker.com.au>
Changed-By: Riku Voipio <riku.voipio@linaro.org>
Description: 
 libsepol1  - SELinux library for manipulating binary security policies
 libsepol1-dev - SELinux binary policy maniulation library and development files
 sepol-utils - Security Enhanced Linux policy utility programs
Closes: 638018
Changes: 
 libsepol (2.1.0-1.2) unstable; urgency=low
 .
   * Non-maintainer upload since maintainer is busy
   * Build for multiarch, setting Pre-Depends multiarch-support in our shared
     lib package, closes: #638018
   * Always use -n with gzip, to avoid encoding timestamps in the gzip file;
     this ensures compressed docs and other files are identical across
     multiple builds, required for multiarch.
Checksums-Sha1: 
 1b0b281fef537104b2f305dbf4d1161be3b2e744 1053 libsepol_2.1.0-1.2.dsc
 cf1c82ad2c9ecfa17a6b4a83b20639af3618b12d 233234 libsepol_2.1.0-1.2.tar.gz
 35f0d89cde6048822c0ea5bf7173806a387d244d 24016 sepol-utils_2.1.0-1.2_amd64.deb
 090ce9fd1c9ce66d0a75a2a31631a94649576d0e 137088 libsepol1_2.1.0-1.2_amd64.deb
 b8528ea876299c60100425fe4e20714aab4545f2 672698 libsepol1-dev_2.1.0-1.2_amd64.deb
Checksums-Sha256: 
 1515592561e204a11029d378318b421294384ad10b39835ab149b72501645a53 1053 libsepol_2.1.0-1.2.dsc
 40909460a9f1056f17f9c6486af7fd952a9a6f093d0b56444b482c3a0f20841c 233234 libsepol_2.1.0-1.2.tar.gz
 596cf5aa26d3cd7dbff94f99803196f2a982894cae110b656443284c09834540 24016 sepol-utils_2.1.0-1.2_amd64.deb
 0005aea8866109115c881c65d7a0598e633def471a8ef3ea8935a1467da73e94 137088 libsepol1_2.1.0-1.2_amd64.deb
 65b3efa91ae3d3445c35a59589025c02f6fc15a609a3e08b1259fd7fab489000 672698 libsepol1-dev_2.1.0-1.2_amd64.deb
Files: 
 08a0e16f3149adb831749285606e6cd3 1053 libs optional libsepol_2.1.0-1.2.dsc
 4ac092bb5399e8a24f00de78f9d13be1 233234 libs optional libsepol_2.1.0-1.2.tar.gz
 5a0de1229ef12391001a301989288df6 24016 admin optional sepol-utils_2.1.0-1.2_amd64.deb
 f3909244f7b1388f685d369f5a0e2bff 137088 libs required libsepol1_2.1.0-1.2_amd64.deb
 ca2490a9a7af598461dc5628eadeb185 672698 libdevel optional libsepol1-dev_2.1.0-1.2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iD8DBQFO62uZibPvMsrqrwMRAvO1AKDDgMGjargXdwvNoJO17WgOszZU9gCdGHfa
zwRsRJxxXWaWVKC1L0dFtWI=
=mvwo
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 24 Jan 2012 07:32:14 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 01:41:01 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.